package com.webonlineapp.evaldemo;

import java.time.LocalDateTime;

import com.hyjavastock.LibraryInfo;
import com.hyjavastock.chart.Highstock;

/*
 * A simple example application to show how to configure chart options using the HyJavaStock library.
 *   - configure chart options using HyJavaStock setter methods
 *   - generate the required JavaScript chart code for the configured chart options.
 * 
 * Note: The evaluation library only supports a limited set of Highcharts Stock chart types and chart options.
 *       The full version of the HyJavaStock library supports all Highcharts Stock chart types and chart options.
 *  
 */
public class Main {
	public static void main( String[] args ) {
        
		System.out.println(LibraryInfo.getLibraryName() + " v" + LibraryInfo.getHyJavaStockAPIVersion() + " (" + LibraryInfo.getLibraryType() + ")");
		System.out.println("");
		
		System.out.println("start " + LocalDateTime.now());
		
		System.out.println("Generated HighstockColumn Chart Options...");
		Highstock chart = new HighstockColumn().configure();
        System.out.println(chart.chartOptionsToJs());
        
        System.out.println("end " + LocalDateTime.now());
     
    }

}
